[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TFilterItemExEvent

Specifies an event handler used to filter data items in TCustomControlFilterEdit.

## Declaration

Source position: editbtn.pas line 217

`type TFilterItemExEvent = function(`
`const ACaption: string;`
`ItemData: Pointer;`
`out Done: Boolean`
`):Boolean of object;`

## Arguments

`ACaption` |  | Caption or display name for the item examined in the event handler.
`ItemData` |  | Pointer to the data for the item examined in the event handler.
`Done` |  | Indicates if additional filtering is needed for the caption or item data.

## Function result

True if the item matches the filter implemented in the event handler.

## Description

TFilterItemExEvent is a Boolean object function type that specifies an event handler used to filter data items in TCustomControlFilterEdit. It is similar to TFilterItemEvent, but provides an additional argument with the caption for the data item.

The return value is True if an item matches a filter condition implemented in the event handler. Done can be updated to indicate if the item requires additional filtering on the title string in the data item; when it contains True, no additional filtering is needed.

TFilterItemEventEx is the type used for the OnFilterItemEx event handler in TCustomControlFilterEdit.

## See also

TCustomControlFilterEdit.OnFilterItem |  | An event handler to give extra conditions for filtering, in addition to the default behavior. Returns True if the passes the filter.
TCustomControlFilterEdit.OnFilterItemEx |  | Event handler signalled to filter data in the control using its caption or item data.
TFilterItemExEvent |  | Specifies an event handler used to filter data items in TCustomControlFilterEdit.